org.apache.ignite.internal.visor.event

## Class VisorGridJobEvent

- java.lang.Object
- - org.apache.ignite.internal.visor.event.VisorGridEvent
  - - org.apache.ignite.internal.visor.event.VisorGridJobEvent

All Implemented Interfaces:
  Serializable

    public class VisorGridJobEvent
    extends VisorGridEvent

Lightweight counterpart for `JobEvent` .

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorGridJobEvent(int typeId, IgniteUuid id, String name, UUID nid, long ts, String msg, String shortDisplay, String taskName, String taskClsName, IgniteUuid taskSesId, IgniteUuid jobId)` Create event with given parameters.

### Method Summary

Methods
`IgniteUuid` `jobId()`
`String` `taskClassName()`
`String` `taskName()`
`IgniteUuid` `taskSessionId()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.visor.event.VisorGridEvent

`id, message, name, nid, shortDisplay, timestamp, typeId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorGridJobEvent

    public VisorGridJobEvent(int typeId,
                     IgniteUuid id,
                     String name,
                     UUID nid,
                     long ts,
                     @Nullable
                     String msg,
                     String shortDisplay,
                     String taskName,
                     String taskClsName,
                     IgniteUuid taskSesId,
                     IgniteUuid jobId)

Create event with given parameters.

Parameters:
  `typeId` - Event type.
  `id` - Event id.
  `name` - Event name.
  `nid` - Event node ID.
  `ts` - Event timestamp.
  `msg` - Event message.
  `shortDisplay` - Shortened version of `toString()` result.
  `taskName` - Name of the task that triggered the event.
  `taskClsName` - Name of task class that triggered the event.
  `taskSesId` - Task session ID of the task that triggered the event.
  `jobId` - Job ID.

### Method Detail

#### taskName

    public String taskName()

Returns:
  Name of the task that triggered the event.

#### taskClassName

    public String taskClassName()

Returns:
  Name of task class that triggered the event.

#### taskSessionId

    public IgniteUuid taskSessionId()

Returns:
  Task session ID of the task that triggered the event.

#### jobId

    public IgniteUuid jobId()

Returns:
  Job ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `VisorGridEvent`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015